SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Variables
DS_List.h File Reference
`#include "assert.h"`
`#include <string.h>`
`#include "Export.h"`
`#include "memoryoverride.h"`

Go to the source code of this file.

## Classes

class | DataStructures::List< list_type >
| Array based implementation of a list. More...

## Namespaces

namespace | DataStructures

## Variables

static const unsigned int | MAX_UNSIGNED_LONG = 4294967295U
| Maximum unsigned long.

## Variable Documentation

const unsigned int MAX_UNSIGNED_LONG = 4294967295U

static

Maximum unsigned long.

Definition at line 32 of file DS_List.h.

Referenced by SLNet::RakPeer::AttachPlugin(), SLNet::RakPeer::DetachPlugin(), DataStructures::List< list_type >::GetIndexOf(), and DataStructures::OrderedChannelHeap< channel_key_type, heap_data_type, channel_key_comparison_func >::Push().